Package: io.vertx.lang.groovy

## [Groovy] Class GroovyVerticle

- io.vertx.lang.groovy.GroovyVerticle

- The base class for Groovy verticles.

  Authors:
    Julien Viet

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `io.vertx.core.Verticle` | `asJavaVerticle()` @return the Java io.vertx.core.Verticle adapter for this Groovy Verticle
    `void` | `start()` If your verticle does a simple, synchronous start-up then override this method and put your start-up code in there.
    `void` | `start(io.vertx.core.Future<java.lang.Void> startFuture)` Start the verticle instance.
    `void` | `stop()` If your verticle has simple synchronous clean-up tasks to complete then override this method and put your clean-up code in there.
    `void` | `stop(io.vertx.core.Future<java.lang.Void> stopFuture)` Stop the verticle instance.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### io.vertx.core.Verticle asJavaVerticle()

      Returns:
        the Java io.vertx.core.Verticle adapter for this Groovy Verticle

    - #### void start()

      If your verticle does a simple, synchronous start-up then override this method and put your start-up code in there.

      throws:
        Exception

    - #### void start(io.vertx.core.Future<java.lang.Void> startFuture)

      Start the verticle instance.

      Vert.x calls this method when deploying the instance. You do not call it yourself.

      A future is passed into the method, and when deployment is complete the verticle should either call io.vertx.core.Future#complete or io.vertx.core.Future#fail the future.

      Parameters:
        `startFuture` - the future

    - #### void stop()

      If your verticle has simple synchronous clean-up tasks to complete then override this method and put your clean-up code in there.

      throws:
        Exception

    - #### void stop(io.vertx.core.Future<java.lang.Void> stopFuture)

      Stop the verticle instance.

      Vert.x calls this method when un-deploying the instance. You do not call it yourself.

      A future is passed into the method, and when un-deployment is complete the verticle should either call io.vertx.core.Future#complete or io.vertx.core.Future#fail the future.

      Parameters:
        `stopFuture` - the future